using System;
using System.Data.Entity.ModelConfiguration;
using System.ComponentModel.DataAnnotations.Schema;

namespace QuickBooksContext
{
    public class Accounts 
    {
        [DatabaseGeneratedAttribute(DatabaseGeneratedOption.Identity)]
        public System.String ID { get; set; }
        public System.String Name { get; set; }
        public System.String Type { get; set; } 
        public System.Double Balance { get; set; }
        public System.DateTime TimeCreated { get; set; }
    }
    public class AccountMap : EntityTypeConfiguration<Accounts> 
    {
        public AccountMap() 
        {
            this.ToTable("Accounts");
            this.HasKey(Account => Account.ID);
            this.Property(Account => Account.Name);
            this.Property(Account => Account.Type);
            this.Property(Account => Account.Balance);
            this.Property(Account => Account.TimeCreated);
        }
    }
}
